Bug 440289 - Cannot use DVD-RW to record
Cannot use DVD-RW to record
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
All Linux
low Severity medium
: ---
: ---
Assigned To: Aristeu Rozanski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-02 13:13 EDT by Thiago Galesi
Modified: 2009-01-09 02:45 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:45:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Result of lshw (21.39 KB, text/plain)
2008-04-02 13:13 EDT, Thiago Galesi
no flags Details
Result of dmesg (29.52 KB, text/plain)
2008-04-02 13:14 EDT, Thiago Galesi
no flags Details
Result of lsusb -vvv (14.08 KB, text/plain)
2008-04-02 14:26 EDT, Thiago Galesi
no flags Details
Result of usbmon trace (73.01 KB, application/octet-stream)
2008-09-02 11:57 EDT, Thiago Galesi
no flags Details

  None (edit)
Description Thiago Galesi 2008-04-02 13:13:05 EDT
Description of problem:

Cannot record DVDs using cdrecord, k3b, etc (have not tested with CD-Rs)

(Regular CDs/DVDs are read ok, until I put a blank media)

Version-Release number of selected component (if applicable):
2.6.24.3-50.fc8

How reproducible:

Always

Steps to Reproduce:
1. Put blank media on DVD-drive
2. try to record or scan with cdrecord/k3b/etc

  
Actual results:


Upon putting a blank media on the drive, dmesg shows the following:

cdrom: This disc doesn't have any tracks I recognize!

sr 4:0:0:0: Device offlined - not ready after error recovery
sr 4:0:0:0: rejecting I/O to offline device
sr 4:0:0:0: rejecting I/O to offline device
sr 4:0:0:0: rejecting I/O to offline device
sr 4:0:0:0: rejecting I/O to offline device

cdrecord -scanbus doesn't work (even as root), strace shows: open("/dev/scd0",
O_RDWR|O_EXCL|O_NONBLOCK|O_LARGEFILE) = -1 ENXIO (No such device or address)

ls -l /dev/scd0
lrwxrwxrwx 1 root root 3 2008-04-02 13:42 /dev/scd0 -> sr0

ls -l /dev/sr0
brw-rw----+ 1 root disk 11, 0 2008-04-02 13:42 /dev/sr0

$ cat /sys/block/sr0/dev
11:0

k3b shows:

$ (K3bDevice::HalConnection) initializing HAL >= 0.5
Mapping udi
/org/freedesktop/Hal/devices/storage_serial_SONY_DVD_RW_AW_Q170A_2222D6D2272A_0_0
to device /dev/sr0
/dev/sr0 resolved to /dev/sr0
(K3bDevice::Device) could not open device /dev/sr0 for reading
                    (No such device or address)
could not open device /dev/sr0 (No such device or address)

Expected results:

cdrecord shows the drive, etc and I'm able to record 

Additional info:

uname -a
Linux localhost.localdomain 2.6.24.3-50.fc8 #1 SMP Thu Mar 20 14:47:10 EDT 2008
i686 i686 i386 GNU/Linux

$ rpm -q hal
hal-0.5.10-1.fc8.2

relevant lines in dmesg:

scsi 4:0:0:0: CD-ROM            SONY     DVD RW AW-Q170A  1.74 PQ: 0 ANSI: 0
scsi 4:0:0:0: Attached scsi generic sg1 type 5
sr0: scsi3-mmc drive: 48x/48x writer cd/rw xa/form2 cdda tray
Uniform CD-ROM driver Revision: 3.20
sr 4:0:0:0: Attached scsi CD-ROM sr0
Comment 1 Thiago Galesi 2008-04-02 13:13:05 EDT
Created attachment 300097 [details]
Result of lshw
Comment 2 Thiago Galesi 2008-04-02 13:14:02 EDT
Created attachment 300098 [details]
Result of dmesg
Comment 3 Aristeu Rozanski 2008-04-02 14:15:42 EDT
scsi4 : SCSI emulation for USB Mass Storage devices
scsi 4:0:0:0: CD-ROM            SONY     DVD RW AW-Q170A  1.74 PQ: 0 ANSI: 0

*-usb UNCLAIMED
     description: Generic USB device
     product: USB to ATA/ATAPI Bridge
     vendor: JMicron
     physical id: 3
     bus info: usb@1:3
     version: 1.00
     serial: 2222D6D2272A
     capabilities: usb-2.00
     configuration: maxpower=2mA speed=480.0MB/s
Comment 4 Aristeu Rozanski 2008-04-02 14:21:43 EDT
Thiago, please attach the lsusb -vvv output here.
Comment 5 Thiago Galesi 2008-04-02 14:26:09 EDT
Created attachment 300109 [details]
Result of lsusb -vvv 

Also, error 'can't get debug descriptor: Connection timed out' happens when
running lsusb
Comment 6 Chuck Ebbert 2008-04-03 22:08:12 EDT
Dumb question: did it work with a 2.6.23 kernel?
Comment 7 Thiago Galesi 2008-04-04 07:30:42 EDT
The same problems happen with 2.6.23.1-42.fc8
Comment 8 Thiago Galesi 2008-05-21 13:38:26 EDT
Problem persists with  2.6.24.7-92.fc8 
Comment 9 Thiago Galesi 2008-09-02 11:57:23 EDT
Created attachment 315568 [details]
Result of usbmon trace

New test, created an usbmon log (this has been created by running k3b)
Comment 10 Bug Zapper 2008-11-26 05:21:44 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2009-01-09 02:45:38 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.